aboutsummaryrefslogtreecommitdiff
path: root/1/test/test.sh
diff options
context:
space:
mode:
authorlonkaars <loek@pipeframe.xyz>2024-04-19 12:34:48 +0200
committerlonkaars <loek@pipeframe.xyz>2024-04-19 12:34:48 +0200
commitbacaaf0b7595730904613e86d40400f72682904d (patch)
treee0394a93cd8eeed53962fce04e03916ccdfda579 /1/test/test.sh
parent4335a620a364b70f06421b1698706a9dc3324a46 (diff)
finish tests
Diffstat (limited to '1/test/test.sh')
-rwxr-xr-x1/test/test.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/1/test/test.sh b/1/test/test.sh
index 18263e6..7dba005 100755
--- a/1/test/test.sh
+++ b/1/test/test.sh
@@ -10,5 +10,15 @@ if [ $# -eq 0 ] ; then
exit 1
fi
+DEV="$1"
+INPUT="test"
+
+echo "input \"$INPUT\" to $DEV" >&2
+echo "$INPUT" > "$DEV"
+echo "(EC $?)" >&2
+
+echo "output from $DEV:" >&2
+cat "$DEV"
+echo "(EC $?)" >&2
exit 0